[Bug 6507] New: share can't work with repo at samba-path

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Bug 6507] New: share can't work with repo at samba-path

mercurial-bugs-2
https://bz.mercurial-scm.org/show_bug.cgi?id=6507

            Bug ID: 6507
           Summary: share can't work with repo at samba-path
           Product: Mercurial
           Version: unspecified
          Hardware: PC
                OS: Windows
            Status: UNCONFIRMED
          Severity: bug
          Priority: wish
         Component: share
          Assignee: [hidden email]
          Reporter: [hidden email]
                CC: [hidden email]
    Python Version: ---

hallow!
works on win10 ru. have place my shared-repo and original-repo at network
file-server at path \\Server\...
if my path have national symbools, hg 5.7.1 crash to take status of
shared-repo. this checked on py2 and py3

reproducing as:
1) place my repos at national dirs like : \\Server\vector so that
original-repo: \\SERVER\Development\vector\spodes\DLMS.gurux\c.hggit\
shared-repo at \\SERVER\Development\vector\vector10c\ware\gurux\dlms-c\
and .hg/sharedpath have:
\\SERVER\Development\vector\spodes\DLMS.gurux\c.hggit\

2) invoke hs status:

C:\Windows>c:\Python38\Scripts\hg --debug  --traceback status
\\SERVER\Development\vector\vector10c\ware\gurux\dlms-c\
Traceback (most recent call last):
  File "c:\Python38\lib\site-packages\mercurial\dispatch.py", line 1209, in
_dispatch
    repo = hg.repository(
  File "c:\Python38\lib\site-packages\mercurial\hg.py", line 225, in repository
    peer = _peerorrepo(
  File "c:\Python38\lib\site-packages\mercurial\hg.py", line 192, in
_peerorrepo
    obj = _peerlookup(path).instance(
  File "c:\Python38\lib\site-packages\mercurial\localrepo.py", line 3350, in
instance
    return makelocalrepository(ui, localpath, intents=intents)
  File "c:\Python38\lib\site-packages\mercurial\localrepo.py", line 546, in
makelocalrepository
    raise error.RepoError(_(b'repository %s not found') % path)
mercurial.error.RepoError: b'repository  not found'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\Python38\lib\site-packages\mercurial\windows.py", line 162, in
posixfile
    fp = osutil.posixfile(name, mode, buffering)  # may raise WindowsError
FileNotFoundError: [WinError 2] �� ������� ����� ��������� ����:
'\\\\SERVER\\Development\\vector\\spodes\\DLMS.gurux\\c.hggit\\requires'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\Python38\lib\site-packages\mercurial\scmutil.py", line 155, in
callcatch
    return func()
  File "c:\Python38\lib\site-packages\mercurial\dispatch.py", line 455, in
_runcatchfunc
    return _dispatch(req)
  File "c:\Python38\lib\site-packages\mercurial\dispatch.py", line 1235, in
_dispatch
    return _dispatch(req)
  File "c:\Python38\lib\site-packages\mercurial\dispatch.py", line 1209, in
_dispatch
    repo = hg.repository(
  File "c:\Python38\lib\site-packages\mercurial\hg.py", line 225, in repository
    peer = _peerorrepo(
  File "c:\Python38\lib\site-packages\mercurial\hg.py", line 192, in
_peerorrepo
    obj = _peerlookup(path).instance(
  File "c:\Python38\lib\site-packages\mercurial\localrepo.py", line 3350, in
instance
    return makelocalrepository(ui, localpath, intents=intents)
  File "c:\Python38\lib\site-packages\mercurial\localrepo.py", line 619, in
makelocalrepository
    sourcerequires = _readrequires(sharedvfs, False)
  File "c:\Python38\lib\site-packages\mercurial\localrepo.py", line 478, in
_readrequires
    requirements = set(vfs.read(b'requires').splitlines())
  File "c:\Python38\lib\site-packages\mercurial\vfs.py", line 95, in read
    with self(path, b'rb') as fp:
  File "c:\Python38\lib\site-packages\mercurial\vfs.py", line 470, in __call__
    fp = util.posixfile(f, mode)
  File "c:\Python38\lib\site-packages\mercurial\windows.py", line 180, in
posixfile
    raise IOError(
FileNotFoundError: [Errno 2]
\\SERVER\Development\vector\spodes\DLMS.gurux\c.hggit\requires: �� �������
����� ��������� ����
abort: \\SERVER\Development\vector\spodes\DLMS.gurux\c.hggit\requires: ��
������� ����� ��������� ����

--
You are receiving this mail because:
You are on the CC list for the bug.
_______________________________________________
Mercurial-devel mailing list
[hidden email]
https://www.mercurial-scm.org/mailman/listinfo/mercurial-devel